Home page logo
/

nmap-dev logo Nmap Development mailing list archives

Re: Nmap does not work
From: David Fifield <david () bamsoftware com>
Date: Mon, 31 Jan 2011 02:17:26 -0800

On Sun, Jan 30, 2011 at 01:43:21PM +0530, hep wrote:
Hi

I compiled & installed the latest version of nmap 5.50 today on Ubuntu
11.04. when I tried to run it with the below commands I got the below error

Openssl is already installed on my pc & is on the path - openssl:
/usr/bin/openssl /usr/share/man/man1/openssl.1ssl.gz

The error details are given below

Please kindly advice how to rectify this matter

Thank You .
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

sudo nmap -sS -D 209.85.175.106 --script all --spoof-mac Apple www.cnn.com

Starting Nmap 5.50 ( http://nmap.org ) at 2011-01-30 13:40 IST
Spoofing MAC address 00:03:93:14:58:99 (Apple Computer)
NSE: failed to initialize the script engine:
/usr/local/share/nmap/nse_main.lua:378:
/usr/local/share/nmap/nselib/wsdd.lua:37: module 'openssl' not found:
no field package.preload['openssl']
no file '/usr/local/share/nmap/nselib/openssl.lua'
no file './openssl.lua'
no file '/usr/local/share/lua/5.1/openssl.lua'
no file '/usr/local/share/lua/5.1/openssl/init.lua'
no file '/usr/local/lib/lua/5.1/openssl.lua'
no file '/usr/local/lib/lua/5.1/openssl/init.lua'
no file './openssl.so'
no file '/usr/local/lib/lua/5.1/openssl.so'
no file '/usr/local/lib/lua/5.1/loadall.so'
stack traceback:
[C]: in function 'assert'
/usr/local/share/nmap/nse_main.lua:378: in function 'new'
/usr/local/share/nmap/nse_main.lua:542: in function 'Entry'
/usr/local/share/nmap/scripts/script.db:13: in function 'db_closure'
/usr/local/share/nmap/nse_main.lua:562: in function 'get_chosen_scripts'
/usr/local/share/nmap/nse_main.lua:990: in main chunk
[C]: ?

Thanks for taking the time to make this report. The fact that some
scripts wrongly assumed that OpenSSL is available has already been fixed
in Subversion. To compile from source with OpenSSL, you need the
libssl-dev package installed, not only libssl. Try
        apt-get install libssl-dev

David Fifield
_______________________________________________
Sent through the nmap-dev mailing list
http://cgi.insecure.org/mailman/listinfo/nmap-dev
Archived at http://seclists.org/nmap-dev/


  By Date           By Thread  

Current thread:
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]